Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Fatal Error. Database error Rate Topic   - - - - -

 
  • GThmtecno
  • Junior Member
  • Members
  • Join Date: 27-Sep 10
  • 5 posts

Posted 27 September 2010 - 03:45 PM #1

Hello everyone,

First of all, I have to apologize for my english. This is my first post and unfortunately it's not the best post that I had prefered to post

I had the Cs-cart 2.0.14 versión and I decided to actualize it.

I didn't have any problems upgrading to 2.0.15

However, when I tried to upgrade to 2.1 there were some problems, the upgrade didn't finalize and I tried to revert it. Maybe It was my hosting fault, I don't know but the final result when I tried to acces to the admin is:



Database error: Table 'XXXXX_CS.cscart_companies' doesn't exist (1146)
Invalid query: SELECT cscart_companies.* FROM cscart_companies ORDER BY company


--------------------------------------------------------------------------------

Backtrace: File: /home/thmtecno/public_html/tienda/core/fn.database.php
Line: 310
Function: db_error
File: /home/thmtecno/public_html/tienda/core/fn.database.php
Line: 70
Function: db_query
File: /home/thmtecno/public_html/tienda/core/fn.init.php
Line: 433
Function: db_get_hash_array
File: /home/thmtecno/public_html/tienda/init.php
Line: 135
Function: fn_init_company
File: /home/thmtecno/public_html/tienda/adminXXX.php
Line: 23
Function: require



I made a backup with the backup of the store database (but I´m not sure about what it keeps).

I don´t mind If I lose my items or the categories, but I need to keep all the configuration, desing, taxes, etc...

May someone help me?

Thanks

 

Posted 27 September 2010 - 05:28 PM #2

Your upgrade to 2.1.0 was incompleted.

Quite simply, your site is screwed.
I suggest you get your host to restore a backup or else contact someone knowledgeable about this. If need be I'm available for hire however what has been/has not been accomplished better reach me via email tonight for me to fix it. (Host = Shorter downtime, cheap | I = Little longer downtime with 2.1.1, comparably expensive)
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 
  • GThmtecno
  • Junior Member
  • Members
  • Join Date: 27-Sep 10
  • 5 posts

Posted 30 September 2010 - 09:19 PM #3

Sorry for delay answering.

I contacted with the cscart support team because I have some credits, they are trying to find and repair the damages

We have a little problem because they need to access to the DB but my phpMyadmin is under Cpanel and I can't give them new users to acces remotely.


I'm trying to solve this with a Cpanel option called Remote Database Access Hosts, but I'm not sure about it will work.

I'll tell you...

 

Posted 01 October 2010 - 03:32 AM #4

Sorry for delay answering.

I contacted with the cscart support team because I have some credits, they are trying to find and repair the damages

We have a little problem because they need to access to the DB but my phpMyadmin is under Cpanel and I can't give them new users to acces remotely.


I'm trying to solve this with a Cpanel option called Remote Database Access Hosts, but I'm not sure about it will work.

I'll tell you...


give them your cPanel password and let them fix the damage, then change the password back.
I've moved on from CS-Cart to WooC******** - If you need anything I can be of little help.

 
  • GThmtecno
  • Junior Member
  • Members
  • Join Date: 27-Sep 10
  • 5 posts

Posted 06 October 2010 - 10:55 AM #5

Finally it was possible to allow access to the DB

Cpanel has an option called Remote Database Access Hosts

You can allow external web servers to access your MySQL databases by adding their domain name to the list of hosts that are able to access databases on your web site.

I am very grateful to Cscart support team, they solved the problem and my shop works under version 2.0.15


I have a problem on my server, the same that caused the crash, it hagnup If I donwload or upload many files, even if all of them are under 4 mb. So we can't upgrade to the 2.1 from a previus version, but for us it's not a problem to stay on version 2.0.15


Maybe we will change the hosting, they are offering us another solutions, but for the moment we are focused on the way of feed or web by Icecat.biz

Thanks for your help